#version 460 core

in vec2 TexCoord;
uniform sampler2D ImageTexture0;

in float LifeTime;

out vec4 FinalColor;

void main()
{
    vec4 TexColor = texture(ImageTexture0, TexCoord);
    FinalColor = TexColor * vec4(1.f, 1.f, 1.f, 1.f);
}
